using System;
using Microsoft.Extensions.Configuration;

namespace UserSecrets_final {
    public class Program {
        public void Main(string[] args) {
            var builder = new ConfigurationBuilder();
            builder.SetBasePath(".");
            builder.AddUserSecrets();

            var config = builder.Build();

            var value = config["MySecretName"];

            Console.WriteLine($"My secret is '{value}'.");
        }
    }
}
